IXPC(1)

NAME
ixpc - ixp client

SYNOPSIS
ixpc [-a address] action file
ixpc -v

DESCRIPTION

  Overview
ixpc is a client to access a 9P file server from the command line or from shell scripts. It can be used to configure wmii(1).

  Options

-a address
    Lets you specify the address to which ixpc will establish a connection. If this option is not supplied, and the environment variable IXP_ADDRESS is set, ixpc will use this value as its address. Currently, the address can only be a unix socket file or a tcp socket. The syntax for address is taken (along with many other profound ideas) from the Plan 9 operating system and has the form unix!/path/to/socket for unix socket files, and tcp!hostname!port for tcp sockets.

-v  Prints version information to stdout, then exits.

The syntax of the actions is as follows:

write
    Writes the supplied data from the standard input to file, overwriting any previous data. The data to be written is arbitrary and only gains meaning (and restrictions) when it is interpreted by wmiiwm(1). See EXAMPLES below.

xwrite
    The same as write, but the data is taken from subsequent arguments, rather than the standard input.

create
    Creates file or directory. If the file exists, nothing is done.

ls  Lists files and directories.

read
    Reads file or directory contents.

remove
    Removes file or directory tree.

ENVIRONMENT

IXP_ADDRESS
    See above.

EXAMPLES

ixpc ls /
    This prints the root directory of the wmii filesystem, if IXP_ADDRESS is set to the address of wmii. For more information about the contents of this filesystem, see wmiiwm(1).

ixpc xwrite /ctl quit
    Write 'quit' to the main control file of the wmii filesystem, effectively leaving wmii.

ixpc write /keys < keys.txt
    Replace the contents of /keys with the contents of keys.txt

SEE ALSO
wmii(1) http://www.cs.bell-labs.com/sys/man/5/INDEX.html